AOWP_PHPObjectPropertyElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPObjectPropertyElement
/parser/ast/PHPObjectPropertyElement.class.php at line 19

# Class AOWP_PHPObjectPropertyElement

    AOWP_PHPElement
        └─AOWP_PHPObjectPropertyElement

public class AOWP_PHPObjectPropertyElement
extends AOWP_PHPElement

PHPObjectPropertyElement PHPのASTにおける「->」を表すクラス 文法規則: expr_without_variable

Author:
  Ryoto Naruse /

Field Summary
private mixed | $_line
array | $arguments メソッドの場合、{@link AOWP_PHPArgumentElement}の配列。 変数の場合は、null。
AOWP_Token | $propertyName 型について要調査。

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPObjectPropertyElement(mixed _lineOrPropertyName, mixed propertyNameOrIsMethod, mixed arguments, string propertyName, bool isMethod)

Method Summary
void | __toString()
void | addArgument(AOWP_PHPArgumentElement argument)
int | getArgumentCount() メソッド呼び出しの場合、引き数の数を取得します。 フィールドアクセスの場合、nullを返します。
int | getObjectPropertyIndex() 何番目のメソッド呼び出し (もしくは、フィールドアクセス) かを取得します。 例えば、 $a->b->c()->d; で、このインスタンスがcのメソッド呼び出しを表す場合、2を結果として取得できます。
string | getPropertyName() 参照するプロパティ名 (呼び出すメソッド名) を取得します。
void | isMethodCall()
void | kind()
unknown_type | setArgument(mixed argument, mixed index, $index ) 指定したインデックスの{@link AOWP_PHPArgumentElement}を、 引き数の値で置き換えます。
void | setTokenPropertyName(string propertyName)

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPObjectPropertyElement.class.php at line 35

### _line

`private mixed $_line`

/parser/ast/PHPObjectPropertyElement.class.php at line 33

### arguments

`public array $arguments`

メソッドの場合、`AOWP_PHPArgumentElement`の配列。 変数の場合は、null。

/parser/ast/PHPObjectPropertyElement.class.php at line 25

### propertyName

`public AOWP_Token $propertyName`

型について要調査。

## Constructor Detail

/parser/ast/PHPObjectPropertyElement.class.php at line 43

### AOWP_PHPObjectPropertyElement

`public AOWP_PHPObjectPropertyElement(mixed _lineOrPropertyName, mixed propertyNameOrIsMethod, mixed arguments, string propertyName, bool isMethod)`

## Method Detail

/parser/ast/PHPObjectPropertyElement.class.php at line 118

### __toString

`public void __toString()`

/parser/ast/PHPObjectPropertyElement.class.php at line 72

### addArgument

`public void addArgument(AOWP_PHPArgumentElement argument)`

/parser/ast/PHPObjectPropertyElement.class.php at line 97

### getArgumentCount

`public int getArgumentCount()`

メソッド呼び出しの場合、引き数の数を取得します。 フィールドアクセスの場合、nullを返します。

/parser/ast/PHPObjectPropertyElement.class.php at line 87

### getObjectPropertyIndex

`public int getObjectPropertyIndex()`

何番目のメソッド呼び出し (もしくは、フィールドアクセス) かを取得します。 例えば、 `$a->b->c()->d;` で、このインスタンスがcのメソッド呼び出しを表す場合、2を結果として取得できます。

/parser/ast/PHPObjectPropertyElement.class.php at line 63

### getPropertyName

`public string getPropertyName()`

参照するプロパティ名 (呼び出すメソッド名) を取得します。

/parser/ast/PHPObjectPropertyElement.class.php at line 122

### isMethodCall

`public void isMethodCall()`

/parser/ast/PHPObjectPropertyElement.class.php at line 114

### kind

`public void kind()`

/parser/ast/PHPObjectPropertyElement.class.php at line 109

### setArgument

`public unknown_type setArgument(mixed argument, mixed index, $index )`

指定したインデックスの`AOWP_PHPArgumentElement`を、 引き数の値で置き換えます。

/parser/ast/PHPObjectPropertyElement.class.php at line 54

### setTokenPropertyName

`public void setTokenPropertyName(string propertyName)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr